Package com.google.android.exoplayer2.util

## Class ColorParser

- java.lang.Object
- - com.google.android.exoplayer2.util.ColorParser

-     public final class ColorParser
      extends Object

  Parser for color expressions found in styling formats, e.g. TTML and CSS.
  See Also:
    WebVTT CSS Styling, Timed Text Markup Language 2 (TTML2) - 10.3.5

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `parseCssColor​(String colorExpression)` | Parses a CSS color expression.
    `static int` | `parseTtmlColor​(String colorExpression)` | Parses a TTML color expression.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parseTtmlColor

          @ColorInt
          public static int parseTtmlColor​(String colorExpression)

      Parses a TTML color expression.
      Parameters:
        `colorExpression` - The color expression.
      Returns:
        The parsed ARGB color.

    - #### parseCssColor

          @ColorInt
          public static int parseCssColor​(String colorExpression)

      Parses a CSS color expression.
      Parameters:
        `colorExpression` - The color expression.
      Returns:
        The parsed ARGB color.